[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# IsZero

Check whether value is zero

## Declaration

Source position: line 0

`function IsZero(`
`const A: Single;`
`Epsilon: Single`
`):Boolean; overload; function IsZero(`
`const A: Single`
`):Boolean; overload; function IsZero(`
`const A: Extended;`
`Epsilon: Extended`
`):Boolean; overload; function IsZero(`
`const A: Extended`
`):Boolean; overload;`

## Description

IsZero checks whether the float value A is zero, up to a precision of Epsilon. It returns True if Abs(A) is less than Epsilon.

The default value for Epsilon depends on the type of the argument: it is 1E-4 for Single, 1E-12 for Double and 1E-16 for extended.

## See also

IsNan |  | Check whether value is Not a Number
IsInfinite |  | Check whether value is infinite
SameValue |  | Check whether 2 float values are the same

Documentation generated on: Feb 26 2014